Rename storj-sdk to storj-sim (#1078)

This commit is contained in:
Egon Elbre 2019-01-16 18:09:57 -05:00 committed by GitHub
parent 677edccab7
commit 9dbb6a101d
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
10 changed files with 21 additions and 20 deletions

View File

@ -70,9 +70,10 @@ matrix:
- redis - redis
install: install:
- source scripts/install-awscli.sh - source scripts/install-awscli.sh
- go install -race storj.io/storj/cmd/{storj-sdk,bootstrap,satellite,storagenode,uplink,gateway,certificates} - make install-sim
- go install -race storj.io/storj/cmd/certificates
script: script:
- set -o pipefail && make test-sdk |& go run scripts/fail-on-race.go - set -o pipefail && make test-sim |& go run scripts/fail-on-race.go
- set -o pipefail && make test-certificate-signing |& go run scripts/fail-on-race.go - set -o pipefail && make test-certificate-signing |& go run scripts/fail-on-race.go
### Docker tests ### ### Docker tests ###

View File

@ -65,12 +65,12 @@ proto: ## Rebuild protobuf files
go run scripts/protobuf.go install go run scripts/protobuf.go install
go run scripts/protobuf.go generate go run scripts/protobuf.go generate
##@ SDK ##@ Simulator
.PHONY: install-sdk .PHONY: install-sim
install-sdk: ## install storj-sdk install-sim: ## install storj-sim
@echo "Running ${@}" @echo "Running ${@}"
@go install -race -v storj.io/storj/cmd/storj-sdk storj.io/storj/cmd/bootstrap storj.io/storj/cmd/satellite storj.io/storj/cmd/storagenode storj.io/storj/cmd/uplink storj.io/storj/cmd/gateway @go install -race -v storj.io/storj/cmd/storj-sim storj.io/storj/cmd/bootstrap storj.io/storj/cmd/satellite storj.io/storj/cmd/storagenode storj.io/storj/cmd/uplink storj.io/storj/cmd/gateway
##@ Test ##@ Test
@ -84,10 +84,10 @@ test-captplanet: ## Test source with captain planet (travis)
@echo "Running ${@}" @echo "Running ${@}"
@./scripts/test-captplanet.sh @./scripts/test-captplanet.sh
.PHONY: test-sdk .PHONY: test-sim
test-sdk: ## Test source with storj-sdk (travis) test-sim: ## Test source with storj-sim (travis)
@echo "Running ${@}" @echo "Running ${@}"
@./scripts/test-sdk.sh @./scripts/test-sim.sh
.PHONY: test-certificate-signing .PHONY: test-certificate-signing
test-certificate-signing: ## Test certificate signing service and storagenode setup (travis) test-certificate-signing: ## Test certificate signing service and storagenode setup (travis)

View File

@ -29,8 +29,8 @@ func main() {
var flags Flags var flags Flags
rootCmd := &cobra.Command{ rootCmd := &cobra.Command{
Use: "storj-sdk", Use: "storj-sim",
Short: "Storj SDK", Short: "Storj Network Simulator",
} }
defaultConfigDir := fpath.ApplicationDir("storj", "local-network") defaultConfigDir := fpath.ApplicationDir("storj", "local-network")

View File

@ -77,7 +77,7 @@ func networkDestroy(flags *Flags, args []string) error {
return errors.New("safety check: disallowed to remove root directory " + flags.Directory) return errors.New("safety check: disallowed to remove root directory " + flags.Directory)
} }
if printCommands { if printCommands {
fmt.Println("sdk | exec: rm -rf", flags.Directory) fmt.Println("sim | exec: rm -rf", flags.Directory)
} }
return os.RemoveAll(flags.Directory) return os.RemoveAll(flags.Directory)
} }

View File

@ -32,7 +32,7 @@ type Processes struct {
// NewProcesses returns a group of processes // NewProcesses returns a group of processes
func NewProcesses() *Processes { func NewProcesses() *Processes {
return &Processes{ return &Processes{
Output: NewPrefixWriter("sdk", os.Stdout), Output: NewPrefixWriter("sim", os.Stdout),
List: nil, List: nil,
} }
} }

View File

@ -3,7 +3,7 @@ set -ueo pipefail
SCRIPTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" SCRIPTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
make -C $SCRIPTDIR/.. install-sdk make -C $SCRIPTDIR/.. install-sim
# setup tmpdir for testfiles and cleanup # setup tmpdir for testfiles and cleanup
TMP=$(mktemp -d -t tmp.XXXXXXXXXX) TMP=$(mktemp -d -t tmp.XXXXXXXXXX)
@ -15,15 +15,15 @@ trap cleanup EXIT
export STORJ_LOCAL_NETWORK=$TMP export STORJ_LOCAL_NETWORK=$TMP
# setup the network # setup the network
storj-sdk -x network setup storj-sim -x network setup
# run aws-cli tests # run aws-cli tests
storj-sdk -x network test bash $SCRIPTDIR/test-sdk-aws.sh storj-sim -x network test bash $SCRIPTDIR/test-sim-aws.sh
storj-sdk -x network destroy storj-sim -x network destroy
# ipv6 tests disabled because aws-cli doesn't seem to support connecting to ipv6 host # ipv6 tests disabled because aws-cli doesn't seem to support connecting to ipv6 host
# # setup the network with ipv6 # # setup the network with ipv6
# storj-sdk -x --host "::1" network setup # storj-sim -x --host "::1" network setup
# # run aws-cli tests using ipv6 # # run aws-cli tests using ipv6
# storj-sdk -x --host "::1" network test bash $SCRIPTDIR/test-storj-sdk-aws.sh # storj-sim -x --host "::1" network test bash $SCRIPTDIR/test-storj-sim-aws.sh
# storj-sdk -x network destroy # storj-sim -x network destroy